Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wsrp.registry.entries
Class PageEntry

    java.lang.Object
      com.bea.wsrp.registry.entries.BaseEntry
          com.bea.wsrp.registry.entries.RegistryEntry
              com.bea.wsrp.registry.entries.PageEntry

All Implemented Interfaces
  Serializable

    public class PageEntry

extends RegistryEntry
implements Serializable

Page entry in a registry

See Also
  Serialized Form

Field Summary
`static String` | `CONCEPT_NAME` Name of the concept for classification of this entry
`static String` | `ENTRY_NAME` Name of the entry in the registry.
`static String` | `HANDLE_NAME` Name of the handle of this entry

Constructor Summary
`PageEntry(String name, String handle)` Creates an instance with the given name and pageHandle.

Method Summary
`String` | `getConceptName()` Name of the concept.
`String` | `getEntryHandleName()` Returns the type of the entry.
`String` | `getEntryType()` Returns the name of the entry.

Methods inherited from class com.bea.wsrp.registry.entries.RegistryEntry
`equals, getHandle, getProducer, getProducerServiceKey, setProducer, setProducerServiceKey`

Methods inherited from class com.bea.wsrp.registry.entries.BaseEntry
`addKeyword, addKeywords, getBusinessKey, getDescription, getKeywords, getName, getServiceKey, getTitle, setBusinessKey, setDescription, setKeywords, setServiceKey, setTitle`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ENTRY_NAME

    public static final String ENTRY_NAME

  Name of the entry in the registry.

  See Also
    Constants Summary

### CONCEPT_NAME

    public static final String CONCEPT_NAME

  Name of the concept for classification of this entry

  See Also
    Constants Summary

### HANDLE_NAME

    public static final String HANDLE_NAME

  Name of the handle of this entry

  See Also
    Constants Summary

Constructor Detail

### PageEntry

    public PageEntry(String name,
                     String handle)

  Creates an instance with the given name and pageHandle.

  Parameters
    `name` - descriprive name of the portlet
    `handle` - handle

Method Detail

### getEntryHandleName

    public final String getEntryHandleName()

  Description copied from class: `RegistryEntry`

  Returns the type of the entry.

  Specified by:
    `getEntryHandleName` in class `RegistryEntry`
  Returns
    type

### getEntryType

    public final String getEntryType()

  Description copied from class: `RegistryEntry`

  Returns the name of the entry.

  Specified by:
    `getEntryType` in class `RegistryEntry`

### getConceptName

    public final String getConceptName()

  Description copied from class: `RegistryEntry`
  Name of the concept. For UDDI, this is the name of the tModel for this type of registry entry.

  Specified by:
    `getConceptName` in class `RegistryEntry`
  Returns
    name of the concept

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.